PaidGoods

Update a group

PUT
/v1/stores/{storeId}/groups/{id}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/groups/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "slug": "string",  "descriptionMd": "string",  "imageId": "bbefe473-c66a-4040-85cf-1c7e6f0b3830",  "imageUrl": "string",  "sortOrder": -9007199254740991,  "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",  "visibility": "public",  "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0",  "badge": {    "text": "string",    "color": "string"  },  "metadata": {    "property1": null,    "property2": null  },  "productCount": -9007199254740991}